Get a fact-find section Run in API Explorer
Ask AI
GET
/api/v2/fact-find/sections/{factFindSection_uuid}
curl \
--request GET 'https://api.plannrcrm.com/api/v2/fact-find/sections/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
"uuid": "59ab28c4-eb43-4842-90f8-48c3e575abaa",
"created_at": "2026-08-11T10:38:40+01:00",
"updated_at": "2026-08-11T10:38:40+01:00",
"fact_find_template": {
"uuid": "5c3fb1f6-38b5-4061-98e0-00d7940ea1c6",
"created_at": "2026-08-11T10:38:40+01:00",
"updated_at": "2026-08-11T10:38:40+01:00",
"name": "My Fact-Find Template",
"description": "A comprehensive fact-find template for new clients.",
"opening_statement": "Welcome to our fact-find process...",
"closing_statement": "Thank you for completing the fact find",
"is_published": true,
"is_locked": false,
"active_session_count": 0,
"sections": {
"uuid": "055c390e-d9e7-4259-a896-f2d24e48ab70",
"created_at": "2026-08-11T10:38:45+01:00",
"updated_at": "2026-08-11T10:38:45+01:00",
"name": "Personal Details",
"introduction_html": "<p>Please provide your personal details below.</p>",
"position": 1,
"is_complete": false
}
},
"name": "Personal Details",
"introduction_html": "<p>Please provide your personal details below.</p>",
"position": 1,
"is_complete": false,
"blocks": {
"uuid": "c707c40b-60b0-44ed-9fef-473e39c4835e",
"created_at": "2026-08-11T10:38:40+01:00",
"updated_at": "2026-08-11T10:38:40+01:00",
"fact_find_section": {
"uuid": "055c390e-d9e7-4259-a896-f2d24e48ab70",
"created_at": "2026-08-11T10:38:45+01:00",
"updated_at": "2026-08-11T10:38:45+01:00",
"name": "Personal Details",
"introduction_html": "<p>Please provide your personal details below.</p>",
"position": 1,
"is_complete": false
},
"name": "Income Details",
"introduction_html": "<p>Please provide your income details below.</p>",
"position": 1
}
}